Jump to content
Korean Random
Polyacov_Yury

Установщик источников света и моделей (Фары на Танках) + Контроллер времени суток на картах (Ночные бои)

Recommended Posts

Смотрю есть комплекты "только", есть комплект только для освещения? ( что бы по ярче )

Share this post


Link to post

Short link
Share on other sites
2 часа назад, Beliy.IV сказал:

Смотрю есть комплекты "только", есть комплект только для освещения? ( что бы по ярче )

 

... для "освещения"? Что имеется в виду?

Share this post


Link to post

Short link
Share on other sites

Да для регулировки освещения на карте, поставил ядро и SunController, что бы небыло "мрачных" карт. Вот бы ещё для режима хелоунина

Share this post


Link to post

Short link
Share on other sites
19 минут назад, Beliy.IV сказал:

Да для регулировки освещения на карте, поставил ядро и SunController, что бы небыло "мрачных" карт. Вот бы ещё для режима хелоунина

 

А. Так SunController вообще отдельный мод. Отдельно скачивается, отдельно ставится. Только вот он не работает, начиная с 1.0.0. Единственное, где он, похоже, заработал, это как раз хеллоуинская карта. Я с ним катаюсь, не видать ни зги.

Share this post


Link to post

Short link
Share on other sites

Искренне прошу прощения. Вылез баг в сборщике архивов. Когда начали поступать сообщения об инциденте, я сначала не поверил. Папки, которые и в Beyond Compare, и в WinRar отображались как mods/1.4.0.0/, распаковывались как /mods/1.4.0.0_/. Причиной явился закравшийся в конец файла, в котором указана текущая версия игры, символ окончания строки, который попал в названия папок и, соответственно, в архивы. Все обновленные ранее архивы с модами были перепакованы с нуля и перезалиты. Приношу извинения за неудобства.

 

P.S. Если кому-то лень перекачивать - просто переименуйте папку mods/1.4.0.0_/ в mods/1.4.0.0/, согласившись на слияние папок и замену файлов. Содержимое архивов до и после инцидента, если не считать имя папки, полностью идентичное.

Share this post


Link to post

Short link
Share on other sites

Is this mod still maintained? I think I've found a bug, but I'm still trying to figure out if it's XVM, this, or a combination.

 

Here's the python log (attached)

 

For some reason, it *only* happens in battles where it ends with you surviving, and i think in a victory. Very hard to track, I know. But as it happens I can post more logs here.

 

I don't run many other script mods, just this, xvm, safeshot, arty splash penetration indicator.

 

 

EDIT: here's 2 pictures of what happends at the end. Loading into the garage after the battle is blocked. It shows a list of vehicles in the battle, maybe there's one specific that's having issues?

 

gVlwoTD.jpg

 

lSEEnXS.png

 

python.log

Edited by Willster419

Share this post


Link to post

Short link
Share on other sites

Well, looking through the logs revealed only that something goes wrong in WG code.

As for testing - this can be easuly reproduced in a training room.

 

LampLights needs a major rework anyway. Has needed one for a very long time now. I just don't have time to start it at the moment.

Share this post


Link to post

Short link
Share on other sites

Я тут обнаружил, что из-за Фар игра падает, если перейти в арт-режим на поле Парижа. Кто-то ещё с этим сталкивался?

Share this post


Link to post

Short link
Share on other sites

I confirm that.  I had to spam SHIFT and G keys a bit, it doesn't crash instantly, takes some time.

python.log

Edited by Aslain

Share this post


Link to post

Short link
Share on other sites

Python.log is useless here, since the crash comes from somewhere in the rendering engine.

Best bet is to disable the mod on that map using the hotkeys.

Share this post


Link to post

Short link
Share on other sites

Here's another thought.

 

I've been told that the launcher as of this update defaults to starting the 64bit version of the game. Does this problem happen in 64bit only? Can you try 32bit?

Share this post


Link to post

Short link
Share on other sites
1 минуту назад, Willster419 сказал:

Here's another thought.

 

I've been told that the launcher as of this update defaults to starting the 64bit version of the game. Does this problem happen in 64bit only? Can you try 32bit?

 

This actually happened on a 32-bit version. It also happened more than once even before the update.

Share this post


Link to post

Short link
Share on other sites
4 минуты назад, Willster419 сказал:

Oh, ok.

 

Can't say I didn't try :)

 

I really hope you can resolve this soon, it's one of my favorite mods!

 

Unfortunately, no. For several reasons:

- Since the crash comes from inside the engine - I have no way to tell, what exactly goes wrong, other than trial and error.

- LampLights' source code is in a desperate need of a complete and total refactor.

- Both of the above need more time than I currently have, considering my job at https://dueler.club/ and the fact that this is the final year of my university and I haven't even started preparing for the finals.

Share this post


Link to post

Short link
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...